# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name haskeline

Name:           ghc-%{pkg_name}
Version:        0.7.0.3
Release:        2%{?dist}
Summary:        Haskell command-line interface for user input

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
Haskeline provides a user interface for line input in command-line programs.
This library is similar in purpose to readline, but since it is written in
Haskell it is (hopefully) more easily used in other Haskell programs.

Haskeline runs both on POSIX-compatible systems and on Windows.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc CHANGES
%doc examples


%changelog
* Wed Jun 05 2013 Jens Petersen <petersen@redhat.com> - 0.7.0.3-2
- update to new simplified Haskell Packaging Guidelines

* Mon Mar 11 2013 Jens Petersen <petersen@redhat.com> - 0.7.0.3-1
- update to 0.7.0.3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov  7 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.7-4
- update with cabal-rpm-0.6.5

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.7-2
- change prof BRs to devel

* Mon Jun 11 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.7-1
- update to 0.6.4.7

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.6-3
- add license to ghc_files

* Fri Mar  9 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.6-2
- fix extensible-exceptions BR

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.6.4.6-1
- update to 0.6.4.6 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.6.4.3-1.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.6.4.3-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.6.4.3-1.1
- rebuild with new gmp

* Wed Aug 17 2011 Jens Petersen <petersen@redhat.com> - 0.6.4.3-1
- update to 0.6.4.3

* Wed Aug 10 2011 Jens Petersen <petersen@redhat.com> - 0.6.4.0-3
- rebuild for terminfo-0.3.2

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.6.4.0-2
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Fri May  6 2011 Jens Petersen <petersen@redhat.com> - 0.6.4.0-1
- update to 0.6.4.0
- update to cabal2spec-0.22.6

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.6.3.2-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Jens Petersen <petersen@redhat.com> - 0.6.3.2-3
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 0.6.3.2-2
- update url

* Wed Nov 17 2010 Jens Petersen <petersen@redhat.com> - 0.6.3.2-1
- update to 0.6.3.2

* Wed Sep 29 2010 jkeating - 0.6.3.1-2
- Rebuilt for gcc bug 634757

* Thu Sep 23 2010 Jens Petersen <petersen@redhat.com> - 0.6.3.1-1
- update to 0.6.3.1
- depend on optional ghc-terminfo-devel

* Fri Sep 17 2010 Jens Petersen <petersen@redhat.com> - 0.6.3-1
- update to 0.6.3

* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.6.2.3-1
- update to 0.6.2.3
- update to cabal2spec-0.22.2

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 0.6.2.2-2
- strip shared library (cabal2spec-0.21.4)

* Thu Apr 29 2010 Jens Petersen <petersen@redhat.com> - 0.6.2.2-1
- 0.6.2.2
- condition ghc_lib_package
- for ghc-6.12.2 depends on utf8-string now

* Tue Feb 16 2010 Jens Petersen <petersen@redhat.com> - 0.6.2.1-2.1
- fix source tarball permissions (#555653)

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.6.2.1-2
- BSD license
- depends on mtl

* Fri Jan 15 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.6.2.1-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
